﻿@model Tuple<List<SalesInvoiceLineView>, string>

@{
    string test = "";
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<div id="TableItemsForm">
    <table class="table table-striped SalesInvoiceTable">
        <thead>
            <tr>
                @*<th>&nbsp;</th>*@
                <th>&nbsp;</th>
                <th><strong>@PurchaseOrders.Item</strong></th>
                <th><strong>@PurchaseOrders.Description</strong></th>
                <th><strong>@PurchaseOrders.Qty</strong></th>
                <th><strong>@PurchaseOrders.Currency</strong></th>
                <th><strong>@PurchaseOrders.Price</strong></th>
                @{
                    if (Model.Item1.Count > 0)
                    {
                        if (Model.Item1.FirstOrDefault().MappedUdf.Count > 0)
                        {
                            foreach (var DictRow in Model.Item1.FirstOrDefault().MappedUdf.OrderBy(c => c.UDFName))
                            {
                                <th><strong>@DictRow.UDFDesc</strong></th>
                            }
                        }
                    }
                }
                <th><strong>Total (LC)</strong></th>
            </tr>
        </thead>
        <tbody>
            @if (Model != null)
            {
                foreach (SalesInvoiceLineView item in Model.Item1)
                {
                    string mDescItem = "DescItem" + item.LineNum;
                    string mTxtId = "txt" + item.LineNum;
                    string mTdId = "td" + item.LineNum;
                    string mDpId = "dp" + item.LineNum;
                    string mTxtCountId = "txtcount" + item.LineNum;
                    string mTrId = "tr" + item.LineNum;
                    decimal mTotal = 0;
                    mTotal = item.Price.Value * item.Quantity.Value;
                    <tr id='@mTrId'>
                        <td>
                            @if (_View)
                            {
                                <a href='@Url.Action("ActionItemMaster", "MasterData", new {  Area = "MasterData",@pActionItemMaster = "View", @pItemCode = item.ItemCode })' class="btn btn-primary btn-xs" target="_blank">
                                    <span class="glyphicon glyphicon-eye-open"></span>
                                </a>
                            }
                        </td>
                        
                        <td class="item_desc_table">
                            @item.ItemCode
                            <input type="hidden" id="@item.LineNum" value="@item.Dscription" />
                        </td>
                        <td><input id='@mDescItem' class="form-control descDocuments" value='@item.Dscription' /></td>
                        <td><input type="number" id='@mTxtCountId' class="form-control quantityDocuments" value='@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", item.Quantity)' min="0" onchange="ChangeQuantityValue('@item.LineNum', '@Shared.NumberGreaterZero');" /></td>
                        <td>
                            @Html.DropDownListFor(c => test, new SelectList(item.ListCurrency, "CurrCode", "CurrName", (!string.IsNullOrEmpty(item.Currency) ? item.Currency : Model.Item2)), new { @Id = mDpId, @class = "form-control currencyDocuments" })
                        </td>
                        <td><input type="number" class="form-control priceDocuments" id='@mTxtId' value='@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", item.Price)' /></td>
                        @{
                            if (Model.Item1.Count > 0)
                            {
                                if (Model.Item1.FirstOrDefault().MappedUdf.Count > 0)
                                {
                                    foreach (var DictRow in item.MappedUdf.OrderBy(c => c.UDFName))
                                    {
                                        <td>
                                            @if (DictRow.ListUFD1.Count > 0)
                                            {
                                                    @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                         DictRow.ListUFD1,
                                                        "FldValue",
                                                         "Descr", DictRow.Value), new { @Id = "LINEUDF_" + DictRow.UDFName + item.LineNum, @Name = "LINEUDF_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + item.LineNum + "');" })
                                            }
                                            else
                                            {
                                                <input id='LINEUDF_@DictRow.UDFName@item.LineNum' name="LINEUDF_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@item.LineNum');" />
                                            }
                                        </td>
                                    }
                                }
                            }
                        }
                        <td id='@mTdId'>@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", mTotal)</td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>
